ale

Alexandria

A library of Swift extensions to turbocharge your iOS development.

Showing:

Popularity

Downloads/wk

0

GitHub Stars

68

Maintenance

Last Commit

2yrs ago

Contributors

3

Package

Dependencies

0

License

MIT

Categories

Readme

Alexandria

Alexandria

SwiftPM Compatible Carthage compatible CocoaPods Compatible Platform Swift Support License

A library (akin to the Library of Alexandria) of Swift extensions to turbocharge your iOS development.

Requirements

  • iOS 8+
  • Xcode 11+
  • Swift 5.0/5.1

Documentation

Documentation is available online.

https://jlandon.github.io/alexandria

Installation

Swift Package Manager with Xcode 11

Adding Package Dependencies to Your App

Carthage

github "jlandon/Alexandria"

CocoaPods

use_frameworks!
pod 'Alexandria'

Alternativly, you can install specific components:

pod 'Alexandria/Core'
pod 'Alexandria/StoreKit'
pod 'Alexandria/ImageEffects'

Submodules

$ git submodule add git@github.com:jlandon/Alexandria.git
$ git submodule init
$ git submodule update

Then, add the files manually to your Xcode project/workspace.

License

Alexandria is released under the MIT license. See LICENSE for details.

Rate & Review

Great Documentation0
Easy to Use0
Performant0
Highly Customizable0
Bleeding Edge0
Responsive Maintainers0
Poor Documentation0
Hard to Use0
Slow0
Buggy0
Abandoned0
Unwelcoming Community0
100